/****************************************************************************
 *  Copyright (C) 2009-2010 by Martin Engelmann, murphi.oss@googlemail.com  *
 *                                                                          *
 *  This program is free software; you can redistribute it and/or           *
 *  modify it under the terms of the GNU General Public License as          *
 *  published by the Free Software Foundation; either version 2 of          *
 *  the License or (at your option) any later version.                      *
 *                                                                          *
 *  This program is distributed in the hope that it will be useful,         *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *  GNU General Public License for more details.                            *
 *                                                                          *
 *  You should have received a copy of the GNU General Public License       *
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>    *
 ****************************************************************************/

#ifndef INGREDIENT_H
#define INGREDIENT_H

#include <QString>

class IngredientPrivate;

class Ingredient
{
public:
    Ingredient();
    Ingredient(const Ingredient& rhs);
    Ingredient(double amount, const QString& unit, const QString& name);
    ~Ingredient();
    Ingredient& operator=(const Ingredient &rhs);

    bool operator==(const Ingredient& rhs) const;
    bool operator!=(const Ingredient& rhs) const;


    double amount() const;
    void setAmount(double theValue);

    QString unit() const;
    void setUnit(const QString& theValue);

    QString name() const;
    void setName(const QString& theValue);

private:
    IngredientPrivate* d;
};

#endif // INGREDIENT_H
