/****************************************************************************
 *  Copyright (C) 2009-2010 by Martin Engelmann, murphi.oss@googlemail.com  *
 *                                                                          *
 *  This program is free software; you can redistribute it and/or           *
 *  modify it under the terms of the GNU General Public License as          *
 *  published by the Free Software Foundation; either version 2 of          *
 *  the License or (at your option) any later version.                      *
 *                                                                          *
 *  This program is distributed in the hope that it will be useful,         *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *  GNU General Public License for more details.                            *
 *                                                                          *
 *  You should have received a copy of the GNU General Public License       *
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>    *
 ****************************************************************************/

#ifndef KOOKIE_H
#define KOOKIE_H


#include <kxmlguiwindow.h>
#include <kurl.h>

#include "ui_prefs_base.h"

class RecipeDisplayWidget;
class KPrinter;
class KToggleAction;

/**
 * This class serves as the main window for kookie.  It handles the
 * menus, toolbars, and status bars.
 */
class Kookie : public KXmlGuiWindow
{
    Q_OBJECT
public:
    /**
     * Default Constructor
     */
    Kookie();

    /**
     * Default Destructor
     */
    virtual ~Kookie();

protected:
    void closeEvent(QCloseEvent *event);

private slots:
    void slotQuit();
    void slotOptionsPreferences();

    void slotFileNew();
    void slotOpenFile();
    void slotSaveFile();
    void slotSaveFileAs();

    void slotUpdateWindowTitle();

private:
    void saveFileAs(const KUrl& filename);
    void setupActions();
    int mayBeSave(const QString& title);

private:
    Ui::prefs_base ui_prefs_base ;
    RecipeDisplayWidget *m_view;

    KPrinter   *m_printer;
    KToggleAction *m_toolbarAction;
    KToggleAction *m_statusbarAction;

    KUrl m_filename;
};

#endif // _kookie_H_
