/****************************************************************************
 *  Copyright (C) 2009-2010 by Martin Engelmann, murphi.oss@googlemail.com  *
 *                                                                          *
 *  This program is free software; you can redistribute it and/or           *
 *  modify it under the terms of the GNU General Public License as          *
 *  published by the Free Software Foundation; either version 2 of          *
 *  the License or (at your option) any later version.                      *
 *                                                                          *
 *  This program is distributed in the hope that it will be useful,         *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *  GNU General Public License for more details.                            *
 *                                                                          *
 *  You should have received a copy of the GNU General Public License       *
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>    *
 ****************************************************************************/

#include "kookie.h"
#include "version.h"

#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <KDE/KLocale>

static const char description[] =
    I18N_NOOP("Manage recipes and shopping lists");

int main(int argc, char **argv)
{
    KAboutData about("kookie", 0, ki18n("kookie"), kookie_version_string, ki18n(description),
                     KAboutData::License_GPL_V3, ki18n("(C) 2009 Martin Engelmann"),
                     KLocalizedString(), 0, "murphi.oss@googlemail.com");
    about.addAuthor(ki18n("Martin Engelmann"), KLocalizedString(), "murphi.oss@googlemail.com");
    KCmdLineArgs::init(argc, argv, &about);

    KCmdLineOptions options;
    // Add options. For example
    // options.add("+[URL]", ki18n("Document to open"));
    KCmdLineArgs::addCmdLineOptions(options);
    KApplication app;

    Kookie *widget = new Kookie;

    // see if we are starting with session management
    if (app.isSessionRestored()) {
        RESTORE(Kookie);
    } else {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
        if (args->count() == 0) {
            //kookie *widget = new kookie;
            widget->show();
        } else {
            int i = 0;
            for (; i < args->count(); i++) {
                //kookie *widget = new kookie;
                widget->show();
            }
        }
        args->clear();
    }

    return app.exec();
}
