/****************************************************************************
 *  Copyright (C) 2009-2010 by Martin Engelmann, murphi.oss@googlemail.com  *
 *                                                                          *
 *  This program is free software; you can redistribute it and/or           *
 *  modify it under the terms of the GNU General Public License as          *
 *  published by the Free Software Foundation; either version 2 of          *
 *  the License or (at your option) any later version.                      *
 *                                                                          *
 *  This program is distributed in the hope that it will be useful,         *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *  GNU General Public License for more details.                            *
 *                                                                          *
 *  You should have received a copy of the GNU General Public License       *
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>    *
 ****************************************************************************/

#ifndef RECIPEDISPLAYWIDGET_H
#define RECIPEDISPLAYWIDGET_H

#include <QWidget>

class KTextBrowser;
class Recipe;

class RecipeDisplayWidget : public QWidget
{
    Q_OBJECT
public:
    RecipeDisplayWidget(QWidget* parent = 0);
    ~RecipeDisplayWidget();

    void setRecipe(const Recipe& recipe);
    const Recipe* recipe() const;

Q_SIGNALS:
    void modified(bool);

public Q_SLOTS:
    void slotEdit();

private:
    void displayRecipe();
    void addToDisplay(QString& html, const QString& format, const QString& value) const;

private:
    KTextBrowser*   m_browser;
    Recipe*         m_recipe;

};

#endif
