/****************************************************************************
 *  Copyright (C) 2009-2010 by Martin Engelmann, murphi.oss@googlemail.com  *
 *                                                                          *
 *  This program is free software; you can redistribute it and/or           *
 *  modify it under the terms of the GNU General Public License as          *
 *  published by the Free Software Foundation; either version 2 of          *
 *  the License or (at your option) any later version.                      *
 *                                                                          *
 *  This program is distributed in the hope that it will be useful,         *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *  GNU General Public License for more details.                            *
 *                                                                          *
 *  You should have received a copy of the GNU General Public License       *
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>    *
 ****************************************************************************/

#ifndef RECIPEEDITDIALOG_H
#define RECIPEEDITDIALOG_H

#include<QtCore/QList>

#include <kpagedialog.h>

class KActionCollection;
class Recipe;


/**
    @author Martin Engelmann <murphi.oss@googlemail.com>
*/
class RecipeEditDialog : public KPageDialog
{
    Q_OBJECT
public:
    RecipeEditDialog(QWidget *parent = 0);

    ~RecipeEditDialog();

    void setRecipe(const Recipe& recipe);
    Recipe recipe() const;

Q_SIGNALS:
    void changed();

private Q_SLOTS:
    void slotUpdateWindowTitle(const QString& title);
    void slotRecipeChanged();
    void slotNextPage();
    void slotPreviousPage();

private:
    void setupActions();
    void setupPages();

private:
    QList<KPageWidgetItem*> m_pages;
    KActionCollection*      m_actions;
};

#endif
