/****************************************************************************
 *  Copyright (C) 2009-2010 by Martin Engelmann, murphi.oss@googlemail.com  *
 *                                                                          *
 *  This program is free software; you can redistribute it and/or           *
 *  modify it under the terms of the GNU General Public License as          *
 *  published by the Free Software Foundation; either version 2 of          *
 *  the License or (at your option) any later version.                      *
 *                                                                          *
 *  This program is distributed in the hope that it will be useful,         *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *  GNU General Public License for more details.                            *
 *                                                                          *
 *  You should have received a copy of the GNU General Public License       *
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>    *
 ****************************************************************************/

#include "recipeeditdialogpage_general.h"

#include "ui_RecipeEditDialogPage_general.h"
#include "recipe.h"

RecipeEditDialogPageGeneral::RecipeEditDialogPageGeneral(QWidget* parent)
        : RecipeEditDialogPage(parent),
        ui(new Ui::RecipeEditDialogPage_general())
{
    ui->setupUi(this);

    connect(ui->leTitle, SIGNAL(textChanged(QString)),
            this, SIGNAL(titleChanged(QString)));

    connect(ui->leTitle, SIGNAL(textChanged(QString)),
            this, SIGNAL(changed()));
    connect(ui->leBlurb, SIGNAL(textChanged(QString)),
            this, SIGNAL(changed()));
    connect(ui->leAuthor, SIGNAL(textChanged(QString)),
            this, SIGNAL(changed()));
    connect(ui->leEffort, SIGNAL(textChanged(QString)),
            this, SIGNAL(changed()));
    connect(ui->leGenre, SIGNAL(textChanged(QString)),
            this, SIGNAL(changed()));
    connect(ui->lePreparationTime, SIGNAL(textChanged(QString)),
            this, SIGNAL(changed()));
    connect(ui->leSource, SIGNAL(textChanged(QString)),
            this, SIGNAL(changed()));
    connect(ui->leYield, SIGNAL(textChanged(QString)),
            this, SIGNAL(changed()));
}

RecipeEditDialogPageGeneral::~RecipeEditDialogPageGeneral()
{
    delete ui;
}

void RecipeEditDialogPageGeneral::readFromRecipe(const Recipe& recipe)
{
    ui->leTitle->setText(recipe.title());
    ui->leBlurb->setText(recipe.blurb());
    ui->leAuthor->setText(recipe.author());
    ui->leEffort->setText(recipe.effort());
    ui->leGenre->setText(recipe.genre());
    ui->lePreparationTime->setText(recipe.preparationTime());
    ui->leSource->setText(recipe.source());
    ui->leYield->setText(recipe.yield());
}

void RecipeEditDialogPageGeneral::writeToRecipe(Recipe& recipe) const
{
    recipe.setTitle(ui->leTitle->text());
    recipe.setBlurb(ui->leBlurb->text());
    recipe.setAuthor(ui->leAuthor->text());
    recipe.setEffort(ui->leEffort->text());
    recipe.setGenre(ui->leGenre->text());
    recipe.setPreparationTime(ui->lePreparationTime->text());
    recipe.setSource(ui->leSource->text());
    recipe.setYield(ui->leYield->text());
}

#include "recipeeditdialogpage_general.moc"
