/****************************************************************************
 *  Copyright (C) 2009-2010 by Martin Engelmann, murphi.oss@googlemail.com  *
 *                                                                          *
 *  This program is free software; you can redistribute it and/or           *
 *  modify it under the terms of the GNU General Public License as          *
 *  published by the Free Software Foundation; either version 2 of          *
 *  the License or (at your option) any later version.                      *
 *                                                                          *
 *  This program is distributed in the hope that it will be useful,         *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *  GNU General Public License for more details.                            *
 *                                                                          *
 *  You should have received a copy of the GNU General Public License       *
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>    *
 ****************************************************************************/

#ifndef RECIPEEDITDIALOGPAGE_INGREDIENTS_H
#define RECIPEEDITDIALOGPAGE_INGREDIENTS_H

#include "recipeeditdialogpage.h"
#include "ingredient.h"

namespace Ui
{
class RecipeEditDialogPage_ingredients;
}

class RecipeEditDialogPageIngredients : public RecipeEditDialogPage
{
    Q_OBJECT

public:
    RecipeEditDialogPageIngredients(QWidget* parent = 0);
    virtual ~RecipeEditDialogPageIngredients();

    void readFromRecipe(const Recipe& recipe);
    void writeToRecipe(Recipe& recipe) const;

    void addIngredient(const Ingredient& ingredient);
    Ingredient ingredient(int index) const;

private Q_SLOTS:
    void slotAdd();
    void slotRemove();
    void slotMoveUp();
    void slotMoveDown();
    void slotEnableButtons();

private:
    int selectedRow(bool displayErrorMessage = false);
    void swapRows(int src, int dst);

private:
    Ui::RecipeEditDialogPage_ingredients* ui;
};


#endif // RECIPEEDITDIALOGPAGE_INGREDIENTS_H
