/****************************************************************************
 *  Copyright (C) 2009-2010 by Martin Engelmann, murphi.oss@googlemail.com  *
 *                                                                          *
 *  This program is free software; you can redistribute it and/or           *
 *  modify it under the terms of the GNU General Public License as          *
 *  published by the Free Software Foundation; either version 2 of          *
 *  the License or (at your option) any later version.                      *
 *                                                                          *
 *  This program is distributed in the hope that it will be useful,         *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *  GNU General Public License for more details.                            *
 *                                                                          *
 *  You should have received a copy of the GNU General Public License       *
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>    *
 ****************************************************************************/

#include "recipereaderwriter.h"

#include <kurl.h>
#include <kmessagebox.h>
#include <klocale.h>

RecipeReaderWriter::~RecipeReaderWriter()
{
}

bool RecipeReaderWriter::readRecipe(const KUrl& url, Recipe& recipe) const
{
    if (!url.isLocalFile()) {
        KMessageBox::detailedSorry(0,
                                   i18nc("@info", "Reading from remote locations is not implemented yet."),
                                   i18nc("@info", "URL to read from: <filename>%0</filename>").arg(url.prettyUrl()));
        return false;
    }

    return doReadRecipe(url, recipe);
}


bool RecipeReaderWriter::writeRecipe(const Recipe& recipe, const KUrl& url) const
{
    if (!url.isLocalFile()) {
        KMessageBox::detailedSorry(0,
                                   i18nc("@info", "Writing to remote locations is not implemented yet."),
                                   i18nc("@info", "URL to write to: <filename>%0</filename>").arg(url.prettyUrl()));
        return false;
    }

    return doWriteRecipe(recipe, url);
}
