/****************************************************************************
 *  Copyright (C) 2009-2010 by Martin Engelmann, murphi.oss@googlemail.com  *
 *                                                                          *
 *  This program is free software; you can redistribute it and/or           *
 *  modify it under the terms of the GNU General Public License as          *
 *  published by the Free Software Foundation; either version 2 of          *
 *  the License or (at your option) any later version.                      *
 *                                                                          *
 *  This program is distributed in the hope that it will be useful,         *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *  GNU General Public License for more details.                            *
 *                                                                          *
 *  You should have received a copy of the GNU General Public License       *
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>    *
 ****************************************************************************/

#ifndef RECIPEREADERWRITER_H
#define RECIPEREADERWRITER_H

class KUrl;

class Recipe;


class RecipeReaderWriter
{
public:
    virtual ~RecipeReaderWriter();
    bool readRecipe(const KUrl& url, Recipe& recipe) const;
    bool writeRecipe(const Recipe& recipe, const KUrl& url) const;

protected:
    virtual bool doReadRecipe(const KUrl& url, Recipe& recipe) const = 0;
    virtual bool doWriteRecipe(const Recipe& recipe, const KUrl& url) const = 0;
};

#endif // RECIPEREADERWRITER_H
